<!DOCTYPE html>
<html lang="en">
<head>
   <title>title</title>
</head>
<body>
    <button>click here</button>

    <button class="second-button">second button</button>
    
    <script>

        console.log(document.querySelector('button').innerHTML);

        document.querySelector('button')
            .innerHTML = "changed";

        const buttonElement = document.querySelector(".second-button");

        console.log(buttonElement) //show html code for this button


        /*
        //document object represents model of the webpage
        //so DOM
        document.body.innerHTML= "hello";
        // this erases eveything on the screen and writes what it gives
        //documnet class had body class in it and then body has innerHTML class
        document.title= "new title";
        //this title erases above title in head.. and set new title

        console.log(document.body);

        document.body.innerHTML = `<button>new button</button>`
        */
    </script>
</body>
</html>